Retrieve metadata for one or more coins
curl --request GET \
--url https://advanced-api-v2.pump.fun/coins/metadata/{mint} \
--header 'Content-Type: application/json' \
--data '
{
"mints": [
{}
]
}
'{
"metadata": {
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"image": "<string>",
"showName": true,
"createdOn": "<string>",
"twitter": "<string>",
"telegram": "<string>",
"website": "<string>"
},
"data": [
{
"mint": "<string>",
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"image": "<string>",
"twitter": "<string>",
"telegram": "<string>",
"website": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/BankkRoll/pumpfun-apis/llms.txt
Use this file to discover all available pages before exploring further.
GET https://advanced-api-v2.pump.fun/coins/metadata/{mint}
Authorization: Bearer <your_token>
Show Metadata Properties
curl -X GET "https://advanced-api-v2.pump.fun/coins/metadata/7GCihgDB8fe6KNjn2MYtkzZcRjQy3t9GHdC8uHYmW2hr" \
-H "Authorization: Bearer <your_token>" \
-H "Accept: application/json"
{
"metadata": {
"name": "Example Coin",
"symbol": "EXAMPLE",
"description": "An example coin on Pump.fun",
"image": "https://cf-ipfs.com/ipfs/QmXxX...",
"showName": true,
"createdOn": "https://pump.fun",
"twitter": "@example",
"telegram": "https://t.me/example",
"website": "https://example.com"
}
}
POST https://advanced-api-v2.pump.fun/coins/metadatas
Authorization: Bearer <your_token>
curl -X POST "https://advanced-api-v2.pump.fun/coins/metadatas" \
-H "Authorization: Bearer <your_token>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"mints": [
"7GCihgDB8fe6KNjn2MYtkzZcRjQy3t9GHdC8uHYmW2hr",
"8kJ9Lm3Nh4Pg5Qr6St7Uv8Wx9Yz0Ab1Cd2Ef3Gh4Ij5Kl"
]
}'
{
"data": [
{
"mint": "7GCihgDB8fe6KNjn2MYtkzZcRjQy3t9GHdC8uHYmW2hr",
"name": "Example Coin",
"symbol": "EXAMPLE",
"description": "An example coin on Pump.fun",
"image": "https://cf-ipfs.com/ipfs/QmXxX...",
"twitter": "@example",
"telegram": "https://t.me/example",
"website": "https://example.com"
},
{
"mint": "8kJ9Lm3Nh4Pg5Qr6St7Uv8Wx9Yz0Ab1Cd2Ef3Gh4Ij5Kl",
"name": "Another Coin",
"symbol": "ANOTHER",
"description": "Another example coin",
"image": "https://cf-ipfs.com/ipfs/QmYyY...",
"twitter": "@another",
"telegram": "https://t.me/another",
"website": "https://another.com"
}
]
}
POST https://advanced-api-v2.pump.fun/coins/mints
curl -X POST "https://advanced-api-v2.pump.fun/coins/mints" \
-H "Authorization: Bearer <your_token>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{"mints": ["7GCihgDB8fe6KNjn2MYtkzZcRjQy3t9GHdC8uHYmW2hr"]}'
/metadatas endpoint when:
/mints endpoint when:
<your_token> with your actual JWT tokencurl --request GET \
--url https://advanced-api-v2.pump.fun/coins/metadata/{mint} \
--header 'Content-Type: application/json' \
--data '
{
"mints": [
{}
]
}
'{
"metadata": {
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"image": "<string>",
"showName": true,
"createdOn": "<string>",
"twitter": "<string>",
"telegram": "<string>",
"website": "<string>"
},
"data": [
{
"mint": "<string>",
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"image": "<string>",
"twitter": "<string>",
"telegram": "<string>",
"website": "<string>"
}
]
}